Subject: Re: bug#21277: 25.0.50; char-fold search is a screw, and I can't see how to disable

From: Juri Linkov <[email-masked]>
Date: Thu, 20 Aug 2015 01:17:09 +0300

> But I think the `isearch-lax-whitespace' feature can still be improved:
>
> 1. The `isearch-lax-whitespace' docstring speaks of "ordinary
>    incremental search" which I've read as "non-regex isearch".  But it
>    seems that regex isearch is also affected.  I'd just strip the
>    "ordinary".

Regexp isearch is affected by ‘isearch-regexp-lax-whitespace’.

> And IMHO, it would be a good idea to disable lax-whitespace for the
> current search as soon as the search string contains a non-space
> whitespace character.  I think if the user explicitly types C-j, C-i,
> etc. she's probably not interested in treating spaces as any-whitespace
> but wants to distinguish newlines from tabs and spaces.

Good idea - it could work the same way as case-fold search detects the presence
of uppercase chars in the search string to automatically toggle itself.